Create a profile role
Creates a new role for a profile, placing them into the initial lifecycle state for a specific class. A role represents the relationship between a candidate and a class — equivalent to an opportunity in a CRM. Include class_id in the request body to specify the class.
Path Parameters
- Type: stringprofile
_id requiredUnique identifier of the profile.
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for post/apis/profiles/profiles/{profile_id}/roles
curl https://school.fullfabric.cloud/apis/profiles/profiles/507f1f77bcf86cd799439011/roles \
--request POST \
--header 'FF-Auth: YOUR_SECRET_TOKEN'
{
"id": "69a4bc1f9a52af33ee4f2200",
"withdrawn": false,
"withdrew_at": null,
"withdrawn_reasons": [],
"withdrawn_detail": null,
"state": "prospect",
"substate": "cold",
"potential": "unknown",
"context_id": "6385bb46976a771912003e6a",
"context_type": "Institutions::ClassOf",
"campus_id": null,
"owner_id": null,
"last_updated_at": 1776330800
}